OCAMLOBJINFO(1)

NAME
ocamlobjinfo - dump information about OCaml compiled objects

SYNOPSIS
ocamlobjinfo file ...

DESCRIPTION
Dump information contained in OCaml compiled objects. It works on .cmi, .cmo, .cma, .cmx, .cmxa, .cmxs files and pure bytecode executables.

ocamlobjinfo is able to show information regarding:

    module names

    unit names

    declared primitives

    imported interfaces

    md5sums of imported interfaces

    forced custom mode

    extra C libraries needed

    extra C flags needed

    use of unsafe features

depending on its arguments.

SEE ALSO
ocamlc(1), ocamlopt(1)

AUTHOR
This manual page was written by Stefano Zacchiroli <zack@debian.org> and Stéphane Glondu <glondu@debian.org>, for the Debian GNU/Linux system (but may be used by others).